Bug 1264339 - Guided rule editor: List contains condition missing bound value on re-opening guided rule
Guided rule editor: List contains condition missing bound value on re-opening...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: ER5
: 6.2.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 04:54 EDT by Suresh Pritmani
Modified: 2015-11-05 23:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Document contains screenshots and steps to reproduce the issue. (152.98 KB, application/vnd.oasis.opendocument.text)
2015-09-18 04:54 EDT, Suresh Pritmani
no flags Details
Components/Facts jar which is being used with the attached reproducer project. (2.88 KB, application/zip)
2015-09-18 04:55 EDT, Suresh Pritmani
no flags Details
Project repository which contains guided rule - "ListOfValuesIssue.rdrl" - as a reproducer. (327.82 KB, application/zip)
2015-09-18 04:57 EDT, Suresh Pritmani
no flags Details

  None (edit)
Description Suresh Pritmani 2015-09-18 04:54:04 EDT
Created attachment 1074741 [details]
Document contains screenshots and steps to reproduce the issue.

Description of problem:
In Guided Rule Editor, customer is trying to add expression for List variables and trying to map it with Bound variable of another condition. 

After saving, closing and reopening same rule in guided rule editor, bind variable with List condition is removed.

Version-Release number of selected component (if applicable):
BRMS 6.1.0

How reproducible:

Steps to Reproduce:
1. Create a Project and by import following facts.
- MyData
- MyTransactionVO
- DataList

2. Create one Guided rule.

3. Use fact “MyTransactionVO” which contains MyData .

4. Use “DataList” fact and map dataList with bounded variable and rule looks like below:

~~~
import org.redhat.MyData;
import org.redhat.DataList;
import org.redhat.MyTransactionVO;

rule "List_Of_Values_Issue"
     dialect "mvel"
     when
          MyTransactionVO( $myData : myData)
          DataList( myDataList contains $myData)
     then
end
~~~

5. Save the guided rule, close it and try to reopen same rule.

6. Once you re-open it. At GUI level, bounded variable will be removed but no change at source code level.

Actual results:

There should be no change in the rule at GUI level even if it has been saved, closed and reopen number of times.

Expected results:

After reopening the rule in guided rule editor bounded variable has been removed but no change at source code level.

Additional info:

I have attached Document which contains screen shots and all steps to reproduce the issue.
Comment 1 Suresh Pritmani 2015-09-18 04:55:01 EDT
Created attachment 1074742 [details]
Components/Facts jar which is being used with the attached reproducer project.
Comment 2 Suresh Pritmani 2015-09-18 04:57:20 EDT
Created attachment 1074743 [details]
Project repository which contains guided rule - "ListOfValuesIssue.rdrl" - as a reproducer.
Comment 4 manstis 2015-09-18 07:12:09 EDT
I tried to replicate this with 6.3.0.Final (Community), i.e. 6.2.0 (Product) and it works as expected. The rule re-opens identically to when it was authored and saved.
Comment 5 manstis 2015-09-18 07:12:33 EDT
Set to MODIFIED to allow testing and verification by QE.
Comment 7 Jiri Locker 2015-10-23 10:48:13 EDT
Reproduced with ER4.
Comment 11 Jiri Locker 2015-11-05 11:43:32 EST
Fixed in ER5.

Note You need to log in before you can comment on or make changes to this bug.